LocalTagEntry (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.io.mxf

## Interface LocalTagEntry

- All Superinterfaces:
    Cloneable, FixedLengthPack, MetadataObject
  All Known Implementing Classes:
    LocalTagEntryImpl

      public interface LocalTagEntry
      extends FixedLengthPack, MetadataObject, Cloneable

  Represents a single entry of the tag-to-key lookup table of a primer pack, mapping a 2 byte tag to a 16 byte key.

  See Also:
    `PrimerPack.addLocalTagEntry(LocalTagEntry)`, `PrimerPack.getLocalTagEntryBatch()`, `TypeDefinitions.LocalTagEntryReference`, `TypeDefinitions.LocalTagEntryBatch`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `LocalTagEntry` | `clone()` Create a cloned copy of this local tag entry.
    `short` | `getLocalTag()` Returns the 2 byte tag of this local entry.
    `AUID` | `getUID()` Returns the 16 byte key part of the local tag entry.
    `void` | `setLocalTag(short localTag)` Sets the 2 byte tag of this local tag entry.
    `void` | `setUID(AUID uid)` Sets the 16 byte key part of the local tag entry.

    - ### Methods inherited from interface tv.amwa.maj.io.mxf.FixedLengthPack

      `getPackOrder`

- - ### Method Detail

    - #### getLocalTag

          @UInt16
          short getLocalTag()

      Returns the 2 byte tag of this local entry. Negative Java values are treated as their bit-equivalent unsigned integer value, e.g. `-2`is` 0xfffe`.

      Returns:
        2 byte tag of this local entry.

    - #### setLocalTag

          void setLocalTag(@UInt16
                           short localTag)

      Sets the 2 byte tag of this local tag entry. Negative Java values are treated as their bit-equivalent unsigned integer value, e.g. `-2`is` 0xfffe`.

      Parameters:
        `localTag` - 2 byte tag of this local entry.

    - #### getUID

          AUID getUID()

      Returns the 16 byte key part of the local tag entry.

      Returns:
        16 byte key part of the local tag entry.

    - #### setUID

          void setUID(AUID uid)
               throws NullPointerException

      Sets the 16 byte key part of the local tag entry.

      Parameters:
        `uid` - 16 byte key part of the local tag entry.
      Throws:
        `NullPointerException` - Cannot set the key part of the local tag entry with a `null` value.

    - #### clone

          LocalTagEntry clone()

      Create a cloned copy of this local tag entry.

      Returns:
        Cloned copy of this local tag entry.

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.